Web lists-archives.com

Problem with new gcc-6.3.0-1 (x86/x86_64)(Test) compiling gmp 6.1.2




Hi,

I just installed the new gcc-6.3.0-1 test package (thank's for that)
and tried to install optimized gmp 6.1.2 on my Skylake i7-6700K:

$ uname -a
CYGWIN_NT-10.0 XXXXXXXXXXX 2.6.1(0.305/5/3) 2016-12-16 11:55 x86_64 Cygwin

$ gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-pc-cygwin/6.3.0/lto-wrapper.exe
Target: x86_64-pc-cygwin
Configured with:
/cygdrive/i/szsz/tmpp/gcc/gcc-6.3.0-1.x86_64/src/gcc-6.3.0/configure
--srcdir=/cygdrive/i/szsz/tmpp/gcc/gcc-6.3.0-1.x86_64/src/gcc-6.3.0
--prefix=/usr --exec-prefix=/usr --localstatedir=/var --sysconfdir=/etc
--docdir=/usr/share/doc/gcc --htmldir=/usr/share/doc/gcc/html -C
--build=x86_64-pc-cygwin --host=x86_64-pc-cygwin
--target=x86_64-pc-cygwin --without-libiconv-prefix
--without-libintl-prefix --libexecdir=/usr/lib --enable-shared
--enable-shared-libgcc --enable-static
--enable-version-specific-runtime-libs --enable-bootstrap
--enable-__cxa_atexit --with-dwarf2 --with-tune=generic
--enable-languages=ada,c,c++,fortran,lto,objc,obj-c++ --enable-graphite
--enable-threads=posix --enable-libatomic --enable-libcilkrts
--enable-libgomp --enable-libitm --enable-libquadmath
--enable-libquadmath-support --enable-libssp --enable-libada
--disable-symvers --with-gnu-ld --with-gnu-as
--with-cloog-include=/usr/include/cloog-isl --without-libiconv-prefix
--without-libintl-prefix --with-system-zlib --enable-linker-build-id
--with-default-libstdcxx-abi=gcc4-compatible
Thread model: posix
gcc version 6.3.0 (GCC)

$ tar xjvf gmp-6.1.2.tar.bz2
$ cd gmp-6.1.2
$ ABI=64 ./configure --enable-cxx

results in

using ABI="64"
      CC="gcc"
      CFLAGS="-O2 -pedantic -fomit-frame-pointer -m64 -mtune=skylake
-march=broadwell"
      CPPFLAGS=""
      CXX="g++"
      CXXFLAGS="-O2 -pedantic -fomit-frame-pointer -m64 -mtune=skylake
-march=broadwell"
      MPN_PATH=" x86_64/skylake x86_64/coreibwl x86_64/coreihwl
x86_64/coreisbr x86_64/coreinhm x86_64/core2 x86_64 generic"

Don't know why -march=broadwell, but -march=skylake doesn't work either.

  Version:           GNU MP 6.1.2
  Host type:         skylake-unknown-cygwin
  ABI:               64
  Install prefix:    /usr/local
  Compiler:          gcc
  Static libraries:  yes
  Shared libraries:  no

$ make
$ make check
...
Making check in cxx
make[3]: Entering directory
'/cygdrive/d/dvd-win7-addons/contrib-cygwin/gmp/6.1.2/gmp-6.1.2/tests/cxx'
make  check-TESTS
make[4]: Entering directory
'/cygdrive/d/dvd-win7-addons/contrib-cygwin/gmp/6.1.2/gmp-6.1.2/tests/cxx'
make[5]: Entering directory
'/cygdrive/d/dvd-win7-addons/contrib-cygwin/gmp/6.1.2/gmp-6.1.2/tests/cxx'
PASS: t-binary.exe
PASS: t-cast.exe
PASS: t-cxx11.exe
PASS: t-headers.exe
../../test-driver: line 107:  1276 Segmentation fault      (core dumped)
"$@" > $log_file 2>&1
FAIL: t-iostream.exe           (exit status: 139)
../../test-driver: line 107: 11664 Segmentation fault      (core dumped)
"$@" > $log_file 2>&1
FAIL: t-istream.exe            (exit status: 139)
../../test-driver: line 107:  9428 Segmentation fault      (core dumped)
"$@" > $log_file 2>&1
FAIL: t-locale.exe             (exit status: 139)
...
============================================================================
Testsuite summary for GNU MP 6.1.2
============================================================================
# TOTAL: 20
# PASS:  17
# SKIP:  0
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0

I suppose it has something to do with the new compiler, since
- gcc-5.4.0 worked fine (okay, with broadwell optimizations)
- the just arrived gmp-6.1.2-1 package seemed to compile (with
  gcc-5.4.0)
- everything works fine when I compile my own gcc 6.3.0 via

    .bashrc:
    export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH
    export LIBRARY_PATH=/usr/local/lib
    export CPATH=/usr/local/include:$CPATH
    export PATH=/usr/local/bin:$PATH

    tar xjvf gcc-6.3.0.tar.bz2
    mkdir compile
    cd compile
    ../gcc-6.3.0/configure --enable-languages=c,c++,objc,fortran
--with-default-libstdcxx-abi=gcc4-compatible
    make -j 4
    make install

  and then install gmp as above

Is there something wrong with gcc-6.3.0-1?
Attached is a slightly redacted output of cygcheck -s -v -r >
cygcheck.out.


Regards,

Torsten

Attachment: cygcheck.out.bz2
Description: Binary data

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple